%define major	1
%define api_version 1.0
%define libname	%mklibname openraw %{major}
%define develname %mklibname -d openraw

Summary:	Camera RAW files decoding library
Name:		libopenraw
Version:	0.0.9
Release:	%mkrel 4
License:	LGPLv3+
Group:		System/Libraries
Source: 	http://libopenraw.freedesktop.org/download/%name-%version.tar.bz2
Patch0:		libopenraw-0.0.9-automake-1.13.patch
Url:		http://libopenraw.freedesktop.org
BuildRequires:	jpeg-devel
BuildRequires:	boost-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxml2-devel
BuildRequires:	doxygen
Requires(post):		gdk-pixbuf2.0
Requires(postun):	gdk-pixbuf2.0

%description
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction. 

%package -n %{libname}
Summary:	Camera RAW files decoding library
Provides:	%{name} = %{version}-%{release}
Group:		System/Libraries

%description -n %{libname}
libopenraw is an ongoing project to provide a free software implementation 
for camera RAW files decoding. One of the main reason is that dcraw is not 
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data 
decoding and easy thumbnail extraction.

%package -n %{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d openraw 1
Group:		Development/C

%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -q 
%patch0 -p1
sed -i -e 's|@top_srcdir@/dcraw ||' doc/Doxyfile.in

%build
autoreconf -fi
%configure2_5x --disable-static
%make
make dox

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete


%post
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%files
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so

%files -n %{libname} 
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%doc AUTHORS NEWS COPYING README ChangeLog TODO

%files -n %{develname}
%{_includedir}/libopenraw-%{api_version}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%doc doc/doxygen/html/


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.0.9-4.mga3
+ Revision: 357933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.0.9-3.mga3
+ Revision: 340629
- fix for automake 1.13

* Fri Nov 30 2012 ovitters <ovitters> 0.0.9-2.mga3
+ Revision: 323419
- clean spec
- fix rpm group

* Tue Dec 06 2011 tv <tv> 0.0.9-1.mga2
+ Revision: 177958
- new release

* Sun Nov 06 2011 dmorgan <dmorgan> 0.0.8-6.mga2
+ Revision: 164275
+ rebuild (emptylog)

* Wed Jan 19 2011 ahmad <ahmad> 0.0.8-5.mga1
+ Revision: 24738
- drop old/unneeded scriptlets
- imported package libopenraw

